package com.miaxis.order.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * ad对象 ad_info
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Data
@ApiModel(value = "OrderInfo", description = "订单视图")
public class OrderInfoDto {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 商品名称 */
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    /** 订单号 */
    @ApiModelProperty(value = "订单号")
    private String outTradeNo;

    /** 退款订单号 */
    @ApiModelProperty(value = "退款订单号")
    private String outRefundNo;

    /** 订单总金额 */
    @ApiModelProperty(value = "打开类型 1站内打开 2站外打开")
    private Integer total;

    /** 交易类型 */
    @ApiModelProperty(value = "交易类型")
    private String tradeType;


    /** 开始时间 */
    @ApiModelProperty(value = "开始时间")
    private String startTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    /** 推荐人id */
    @ApiModelProperty(value = "推荐人id")
    private Long referralUserId;
}
